Bug 65573 - : Title in Window menu doesn't change after "Save as" and choosing another file name
Summary: : Title in Window menu doesn't change after "Save as" and choosing another fi...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other Linux (All)
: lowest normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-09 15:58 UTC by Geoffrey
Modified: 2015-05-06 14:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Window menu (23.99 KB, image/png)
2013-06-09 18:13 UTC, Geoffrey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Geoffrey 2013-06-09 15:58:43 UTC
Problem description: 

Steps to reproduce:
1. Open a file in Writer or Calc (could be in other components too)
2. Save the file under a different name
3. Check the menu "Window".

Current behavior:
The file name hasn't changed. In the title bar, it has.

Expected behavior:
The file in the Window menu needs to change to the new file name which the opened document was saved to.
              
Operating System: Ubuntu
Version: 4.0.3.3 release
Comment 1 Joel Madero 2013-06-09 17:21:20 UTC
What is the menu window? A screenshot showing the difference between the menu window and the title bar could be useful.

Marking as NEEDINFO - as soon as you let me know what the menu "Window" is I will confirm the issue.


Also, do you know if this problem has been around before 4.0.3.3 release?

Once you give just a bit more detail and maybe a screenshot, mark as UNCONFIRMED, thanks!
Comment 2 Geoffrey 2013-06-09 18:13:17 UTC
Created attachment 80576 [details]
Window menu
Comment 3 Joel Madero 2013-06-09 18:29:38 UTC
What is this showing me? I don't get how this shows something different from the title bar
Comment 4 Geoffrey 2013-06-09 18:31:45 UTC
The "Window" menu is a part of the title bar. I just mean the "submenu, the item" Window.

By the way, in LibreOffice 3.3.3, it still worked as expected.
Comment 5 Cor Nouws 2013-06-09 20:55:04 UTC
Hi Geoffry,

thanks for report & further info!

Testing on Ubuntu + LIbreOffice 4.0.3.3
- file foo
- save as foo_test
  > window title bar + menu Window show foo_test.

So I can not confirm...
Did/can you try renaming the user profile and then start again??
thanks
Cor
Comment 6 Geoffrey 2013-06-12 15:52:23 UTC
(In reply to comment #5)
> Hi Geoffry,
> 
> thanks for report & further info!
> 
> Testing on Ubuntu + LIbreOffice 4.0.3.3
> - file foo
> - save as foo_test
>   > window title bar + menu Window show foo_test.
> 
> So I can not confirm...
> Did/can you try renaming the user profile and then start again??
> thanks
> Cor

I tried to install several LibreOffice installations to see where the bug pops up. However, only on my computer with Ubuntu 12.04 + LibreOffice 4.0.3.3 the Window menu is broken, even after renaming my LibreOffice profile.

Details: LO 4.0.3.3 (Build ID: 400m0(Build:3))
4.0.3-0ubuntu1~precise2 (precise)

I'm using the LibreOffice PPA: http://ppa.launchpad.net/libreoffice/ppa/ubuntu precise main

With the DEB's from the LibreOffice website (4.0.3.3 also) the Window menu works (under Ubuntu 12.04, I temporarily uninstalled the LibreOffice PPA version). However, that's without Unity globalmenu support. Could that be the real underlying problem?
Comment 7 Cor Nouws 2013-06-12 18:13:20 UTC
Hi Geoffrey,

thanks for your tests!

(In reply to comment #6)

> I tried to install several LibreOffice installations to see where the bug
> [...]
> the real underlying problem?

@sweetshark: see his comment#6 : a bug for the Ubuntu version?
Comment 8 Björn Michaelsen 2013-06-18 16:14:03 UTC
The LibreOffice 4.0 unity menu integration needs the unity version that comes with Ubuntu Raring and as such should have been disabled on the backports. I made that happen for 4.0.4~rc2 so this should be solved when that version is backported.

As for the bug itself, I can somewhat reproduce it with LibreOffice 4.1.0 beta2 on Ubuntu saucy: The Window menu is wrong on the first opening, but strafing to the next menu and back updates the menu.

As such, confirming with very low prio. Note that it has been considered to remove the "Window" menu in unity anyway, as it duplicates functionality that rightfully is the job of the window manager anyway.
Comment 9 Robinson Tryon (qubit) 2014-08-12 17:49:16 UTC
(In reply to comment #8)
> As for the bug itself, I can somewhat reproduce it with LibreOffice 4.1.0
> beta2 on Ubuntu saucy: The Window menu is wrong on the first opening, but
> strafing to the next menu and back updates the menu.

NO REPRO with LO 4.1.2.2 and 4.3.0.3 on Ubuntu 12.04.4.

Here are my repro steps:

---
1) Open an existing file in Writer (e.g. 'Foo.odt')
2) Look in the Title Bar. The filename will display as 'Foo.odt'
3) File -> Save As -> Name: 'Bar.odt'
4) Look in the Title Bar again. The filename will display as 'Bar.odt'
5) Look in the drop-down menu 'Window'. The filename will still display as 'Foo.odt'

EXPECTED: The listing in the Window menu to update to 'Bar.odt' just like the Title Bar
---

It's been a year since the last confirmation of this bug, and I can't repro it.

Moving status -> NEEDINFO until we can reproduce this issue on a modern, supported build (https://www.libreoffice.org/download)
Comment 10 QA Administrators 2015-04-01 14:46:48 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 11 QA Administrators 2015-05-06 14:21:03 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team